Summary:        Sign and verify Internet mail with DKIM/DomainKey signatures
Name:           perl-Mail-DKIM
Version:        1.20220520
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            http://dkimproxy.sourceforge.net/
Source0:        https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/Mail-DKIM-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: coreutils make perl-generators perl-interpreter perl(base)
BuildRequires: perl(strict) perl(Test::More) perl(Test::RequiresInternet) perl(Test::Simple) perl(warnings)
BuildRequires: perl(Mail::Address) perl(Mail::AuthenticationResults) perl(MIME::Base64) perl(Net::DNS) perl(Net::DNS::Resolver::Mock)
BuildRequires: perl(Digest::SHA) perl(ExtUtils::MakeMaker) >= 6.76 perl(lib)
BuildRequires: perl(Carp) perl(Crypt::OpenSSL::RSA) >= 0.24 perl(Data::Dumper)
BuildRequires: perl(YAML::XS)


%description
This module implements the various components of the DKIM and DomainKeys
message-signing and verifying standards for Internet mail. It currently
tries to implement RFC4871 (for DKIM) and RFC4870 (DomainKeys).

It is required if you wish to enable DKIM checking in SpamAssassin via the
Mail::SpamAssassin::Plugin::DKIM plugin.

%prep
%autosetup -n Mail-DKIM-%{version}
chmod -x scripts/*.pl
/usr/bin/perl -pi -e 's|^#!/usr/bin/env perl|#!/usr/bin/perl|' scripts/arcverify.pl
/usr/bin/perl -pi -e 's/\r//' doc/qp1.txt

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%{make_build} test

%files
%license LICENSE
%doc Changes doc HACKING.DKIM README.md TODO scripts/*.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20220520-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20220520-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20220520-4
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.20220520-3
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20220520-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.20220520-1
- initial build
